Bug 187652 - Main window doesn't show photos!
Summary: Main window doesn't show photos!
Status: RESOLVED INTENTIONAL
Alias: None
Product: digikam
Classification: Unclassified
Component: Albums-MainView (show other bugs)
Version: 0.10.0
Platform: Compiled Sources Unspecified
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-19 22:36 UTC by felipe
Modified: 2012-06-27 09:15 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.5.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description felipe 2009-03-19 22:36:54 UTC
Version:            (using Devel)
Installed from:    Compiled sources

The main window shows an introduction to the awesome world of Digikam. Why is that?

When I fire up Digikam I'd like it to show my most recently imported photos :)
Comment 1 caulier.gilles 2009-03-19 22:39:55 UTC
It's the welcome page. It just for the first time.
Just click on on the right place from album tree view in left sidebar. That all 

Gilles Caulier
Comment 2 felipe 2009-03-19 23:38:04 UTC
Yes, don't get me wrong: I reckon it's important to give a warm werlcome to new users, but maybe something more subtle?

All major photo/camera management apps go straight to the users' content on first launch, I just think it's the right way :)
Comment 3 Diego 2009-03-20 09:40:29 UTC
Maybe this and other usability related issues should receive some guidance from usability experts. CCing kde-usability mailing list or contacting someone from the team can shed some light on what's best to do.

Obviously no ultimate answer can be given, but for sure some hints from experts are useful.
Comment 4 Fri13 2009-11-20 20:09:15 UTC
Currently digiKam works how I expect photo management application to work.

The welcome page is shown only first time, when there is not even any photos what to show. And this way we can give some important infos about application, other than just the "the tip of the day" dialoge allows. 

After first start and importing some photos. The digiKam shows last open album when starting next time. 

So if I edit photos on album XYZ middle of my albumlist and I quit the digiKam. On the next day when I open digikam, the XYZ album is open by default, not the welcome context.

I believe this wish could be marked as resolved unless we want to make a welcome screen what would be everytime open. I have a mockup for the idea to have a welcome page what would have buttons for basic functions, like "import from camera" etc. But I can not see any reasons for that because it made the digiKam usage harder for pros, slowing down the progress and it would bring new users waiting to getting back to that window and not use the places where such actions are started.
Comment 5 caulier.gilles 2011-12-14 09:49:17 UTC
For me the current behavior of welcome page is fine.

Gilles Caulier